//
//  NetworkAPIRequestHandlerProtocol.h
//  NetworkAPI
//
//  Created by Ger Teunis on 21-08-12.
//  Copyright (c) 2012 Ger Teunis. All rights reserved.
//
#import <Foundation/Foundation.h>

@protocol NetworkAPIHandlerProtocol <NSObject>
-(NSDictionary*)responseForObject:(NSString*)object
                       identifier:(NSNumber*)identifier
                         function:(NSString*)function
                       parameters:(NSDictionary*)parameters
                    outParameters:(NSDictionary**)outParameters
                    authenticated:(bool)authenticated
                    uploadedFiles:(NSArray*)uploadedFiles;
@end
