//
//  LicenseCheck.h
//  UsenetEngine
//
//  Created by Ger Teunis on 2/3/10.
//  Copyright 2010 Ger Teunis. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <openssl/dsa.h>
#import <UsenetEngine/Obfuscation.h>

@interface LicenseCheck : NSObject {

}

+(void)resetCachedHasValidLicense;
+(bool)hasFishyLicense;
+(bool)hasValidLicense;
+(bool)setLicenseKey:(NSString*)newLicenseKey;

+(NSString*)createSigniture:(NSString*)data;
+(NSData*)getSHA1:(NSData*)data;


@end
